Effect.Grow

This effect grows a element to a specified size.

Availability

script.aculo.us V1.0 and later.

Syntax

Effect.Grow('id_of_element');

Notes

Works safely with most Block Elements, except tables.

Options

Effect.Grow has an optional parameter: direction.

This parameter can accept the following values:

· | top-left

· | top-right

· | bottom-left

· | bottom-right

· | center

Examples

new Effect.Grow('content', {direction: 'top-left'});

new Effect.Grow('content', {direction: 'center', duration: 2.0});

You can define different durations for several DIV elements, and place them in a row in order to make them appear one after another.